Summary:        PEAR: Horde Command Line Interface API for interfaces that are modular

Name:           php-pear-Horde-Cli-Modular
Version:        2.0.3
Release:        1.lux.1
License:        LGPLv2.1
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Cli_Modular-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Cli_Modular
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Argv >= 2.0.0
Requires:	php-pear-Horde-Argv <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Argv = 3.0.0alpha1
BuildArch:      noarch
%define pear_name  Horde_Cli_Modular
%define pear_sname horde_cli_modular
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Command line interfaces can often be composed of different modules responsible for distinct actions. This package allows each such module to influence the overall command line interface. First and foremost each module can add its own option group with a specific title, description and a set of module specific options (see Horde_Argv_OptionGroup for further details). In addition Cli_Modular allows a module to modify the global usage string and add basic options valid for all modules.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/%{pear_name}.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/%{pear_name}.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{pear_name}
fi

%files
%defattr(-,root,root)
%{pear_phpdir}/Horde/*
%doc %{_docdir}/%{name}-%{version}
%{pear_xmldir}/Horde_Cli_Modular.xml
%{pear_phpdir}/test/%{pear_name}

%changelog
